%% Funktion zur Ermittlung der Geschwindigkeit
% Die Geschwindigkeit aus dem Experiment soll in px/frame ermittelt werden.

function [v] = calculatevelocity(InputList,nDataset)

% Teil fuer Geschwindigkeit aus Dateibenennung abgreifen und in double
% konvertieren. Geschwindigkeit liegt in mm/s
v_in = str2double(InputList(nDataset).name(18:21));

% Ortsaufloesung in den Videos in mm/px
M = 0.0498;

% Zeitaufloesung in den Videos in frames/s
FR = 10000;

% Berechnung der Geschwindigkeit in px/frame
v = v_in / (M * FR);

end