%% Anpassung der Bildintensitaet
% Die mittlere Intensitaet eines Bildes schwankt ueber einen Bilddatensatz.
% Ziel ist die mittlere Intensitaet konstant zu halten.

function [imdata] = equalizemeanimgintensity(imdata, meanimgintensity_out)
% Mittlere Intensitaet aller Bilder von einem Bilddatensatz abgreifen
meanimgintensity_in = arrayfun(@(x) mean(x.roi(:)),imdata);

for aa = 1:length(imdata)
    imdata(aa).roisc = imdata(aa).roi .* ...
        (meanimgintensity_out / meanimgintensity_in(aa));
end